# Method: providers.accounts.get

- [HTTP request](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/get#body.request_body)
- [Response body](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/get#body.aspect)
- [AccountView](https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/get#AccountView)

Gets a requested `https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts#Account` resource.

### HTTP request

`GET https://cloudcommerceprocurement.googleapis.com/v1/{name=providers/*/accounts/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the account to retrieve. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `commerceprocurement.providerAccounts.get` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts/get#AccountView`)`` Optional. What information to include in the response. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts#Account`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## AccountView

Indicates the view of the account.

| Enums ||
|---|---|
| `ACCOUNT_VIEW_UNSPECIFIED` | The default / unset value. For `accounts.get` and `accounts.list`, they default to the BASIC view. For `accounts.list`, it only supports the BASIC view. |
| `ACCOUNT_VIEW_BASIC` | Include base account information. This is the default view. All fields from `https://docs.cloud.google.com/marketplace/docs/partners/commerce-procurement-api/reference/rest/v1/providers.accounts#Account` are included except for the resellerParentBillingAccount field. |
| `ACCOUNT_VIEW_FULL` | Includes all available account information, inclusive of the accounts resellerParentBillingAccount, if it's a resold account. |